#include <stdio.h>
#include <dos.h>
#include <stdlib.h>
#include <conio.h>
int main(int argc, char**argv){
   FILE* fp;
   int i, n_notes, freq = 0, length = 0, filesize, tempo = 0;
   const long whole = 1000;
   if (argc <= 1) {
      printf("You must pass a filename as a command line parameter.\n");
      return 1;
   }
   const char * filename = argv[1];
   fp = fopen(filename, "rb");
   if (fp == NULL) {
      printf("Can't open file %s\n", filename);
      return 1;
   }
   fseek(fp, 0, SEEK_END);
   filesize = ftell(fp);
   n_notes = (filesize - 5) / 3;
   fseek(fp, 1, SEEK_SET);
   fread(&tempo, 2, 1, fp);
//   whole = atoi(argv[2]);
   printf("filename = %s, filesize = %u, number of notes = %u, tempo = %u\n", filename, filesize, n_notes, tempo);
   for (i = 0; i < n_notes; i++) {
      fread(&freq, 2, 1, fp);
      fread(&length, 1, 1, fp);
      if(freq == 1){ printf("Marker number %d\n",length); continue; }
      if(freq == 2){ printf("Marker character %c\n",(char)length); continue; }
      printf("frequency = %u, length = %u, that is %u ms\n", freq, length, length * whole / tempo);
      if(kbhit()){ nosound(); exit(1); }
      if(freq) sound(freq);
      delay(length * whole / tempo);
      nosound();
   }
   fclose(fp);
   return 0;
}
